Bug 1094287 - ixgbevf prematurely strips VLAN tags [rhel-6.5.z]
ixgbevf prematurely strips VLAN tags [rhel-6.5.z]
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.5
Unspecified Unspecified
urgent Severity urgent
: rc
: ---
Assigned To: Petr Holasek
Xin Long
: ZStream
Depends On: 1069028
Blocks: 1080688
  Show dependency treegraph
 
Reported: 2014-05-05 08:32 EDT by Jan Kurik
Modified: 2014-06-20 05:25 EDT (History)
18 users (show)

See Also:
Fixed In Version: kernel-2.6.32-431.20.1.el6
Doc Type: Bug Fix
Doc Text:
Due to a bug in the ixgbevf driver, the stripped VLAN information from incoming packets on the ixgbevf interface could be lost, and such packets thus did not reach a related VLAN interface. This problem has been fixed by adding the packet's VLAN information to the Socket Buffer (skb) before passing it to the network stack. As a result, the ixgbevf driver now passes the VLAN-tagged packets to the appropriate VLAN interface.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-19 13:53:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Kurik 2014-05-05 08:32:09 EDT
This bug has been copied from bug #1069028 and has been proposed
to be backported to 6.5 z-stream (EUS).
Comment 5 Xin Long 2014-05-26 04:59:34 EDT
do test like https://bugzilla.redhat.com/show_bug.cgi?id=1069028#c0

verify on kernel-2.6.32-431.20.1.el6, and regression test.
Comment 6 David Gibson 2014-05-28 01:53:12 EDT
Bug has no customer confidential information, making public at customer request.
Comment 8 errata-xmlrpc 2014-06-19 13:53:37 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-0771.html

Note You need to log in before you can comment on or make changes to this bug.